<?php

namespace App\Http\Controllers;

use App\Models\CustomDomainRequest;
use Illuminate\Http\Request;

class CustomDomainRequestController extends Controller
{
  
    public function index(CustomDomainRequest $customDomainRequest , Request $request){
      
      return $this->CustomDomainRequestIndex($customDomainRequest,$request);
    }

   public function store(Request $request)
   {
   
    return $this->CustomDomainRequestStore($request);
   }

   public function updateStatus(Request $request){

    return $this->CustomDomainRequestUpdateStatus($request);
   }

   public function destroy($id){

    return $this->CustomDomainRequestDelete($id);
   }
}
